complexType "RequestMessage"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 2 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-msg-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 4 locations

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*
</...>

Content Model Elements (2):

  header (defined in RequestMessage complexType), | validation

Known Direct Subtypes (4):

  CorrectableRequestMessage, NonCorrectableRequestMessage, PositionsAsserted, RequestPortfolio

Known Indirect Subtypes (17):

  CreditEventNotification, DisputeRetracted, InterestStatusRetracted, MarginCallStatusRetracted, NettedTradeCashflowsAsserted, NettedTradeCashflowsRetracted, RequestEventStatus, RequestInterest, RequestInterestRetracted, RequestMargin, RequestMarginRetracted, RequestPositionReport, RequestRetransmission, RequestSubstitution, RequestSubstitutionRetracted, RequestValuationReport, SubstitutionStatusRetracted

All Direct / Indirect Based Elements (19):

  creditEventNotification, disputeRetracted, interestStatusRetracted, marginCallStatusRetracted, nettedTradeCashflowsAsserted, nettedTradeCashflowsRetracted, positionsAsserted, requestEventStatus, requestInterest, requestInterestRetracted, requestMargin, requestMarginRetracted, requestPortfolio, requestPositionReport, requestRetransmission, requestSubstitution, requestSubstitutionRetracted, requestValuationReport, substitutionStatusRetracted

Known Usage Locations

- In derivations of other global types (4):

  CorrectableRequestMessage (as extension base), NonCorrectableRequestMessage (as extension base), | PositionsAsserted (as extension base), RequestPortfolio (as extension base)

Annotation
A type defining the basic content of a message that requests the receiver to perform some business operation determined by the message type and its content.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType abstract="true" name="RequestMessage"> <xsd:complexContent> <xsd:extension base="Message"> <xsd:sequence> <xsd:element minOccurs="0" name="header" type="RequestMessageHeader"/> <xsd:group ref="Validation.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/2)
header

  Type: | RequestMessageHeader, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="header" type="RequestMessageHeader"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.